Page MenuHomePhabricator

Deploy MCR storage layer
Closed, ResolvedPublic

Description

Track deployment of the storage layer component of MCR. This particularly covers the necessary DB schema migration as well as beginning to use the new schema.

See also the Deployment Schedule.

Details

Related Gerrit Patches:

Related Objects

StatusAssignedTask
OpenNone
DuplicateNone
OpenNone
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
ResolvedAnomie
ResolvedNone
DuplicateNone
StalledNone
ResolvedAddshore
Resolveddaniel
ResolvedAddshore
ResolvedMarostegui
ResolvedTgr
ResolvedTgr
ResolvedTgr
ResolvedBstorm
ResolvedCCicalese_WMF
Resolveddaniel
Resolveddaniel
ResolvedAddshore
ResolvedAnomie
ResolvedAnomie
Resolvedtstarling
ResolvedAnomie
ResolvedAnomie
ResolvedAnomie
ResolvedAnomie
ResolvedAnomie
ResolvedAnomie
ResolvedAnomie
ResolvedAnomie
Resolveddaniel
ResolvedAnomie
ResolvedAnomie
ResolvedMarostegui
ResolvedAnomie
Resolvedtstarling
ResolvedAnomie
Resolveddaniel
ResolvedAnomie
ResolvedAnomie
ResolvedAnomie
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
ResolvedNone
ResolvedNone

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
jcrespo added a subscriber: jcrespo.

No actionables here (yet), add Blocked-on-schema-change when it actually is blocked on that.

jcrespo moved this task from Triage to Blocked external/Not db team on the DBA board.

Well, it actually is blocked on the schema change. We can't fully deploy MCR without it. But I suppose the tag is for situations where something is blocked only on the schema change.

Anomie added a subscriber: Anomie.Sep 25 2017, 3:47 PM

Blocked-on-schema-change is used when the schema change is ready to go and further progress is blocked on the change actually being made on WMF's databases. In this case, we're still working out the details of what the change should be.

@Anomie is right, adding it now would only spam us and deplay actually blocked changes. Add the DBA to tell us we will be involved in the future, as a heads up, which I already did (the Blocked external is the meaning here, not the not db team, we *will* be involved, just not yet).

thiemowmde triaged this task as Medium priority.Dec 11 2017, 4:07 PM
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Dec 18 2017, 3:09 PM
CCicalese_WMF moved this task from Blocked to Watching on the MediaWiki-Platform-Team board.
daniel moved this task from Inbox to Epic on the Multi-Content-Revisions board.May 7 2018, 10:40 AM

Change 440128 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] wgMultiContentRevisionSchemaMigrationStage MIGRATION_OLD

https://gerrit.wikimedia.org/r/440128

Addshore added a subscriber: Addshore.

This will be set to take the train on the week of the 25th of June, providing everything goes well on group0 over the coming week.

daniel updated the task description. (Show Details)Jul 10 2018, 12:24 PM

Change 440128 merged by jenkins-bot:
[operations/mediawiki-config@master] wgMultiContentRevisionSchemaMigrationStage SCHEMA_COMPAT_OLD

https://gerrit.wikimedia.org/r/440128

Mentioned in SAL (#wikimedia-operations) [2018-07-16T14:22:44Z] <anomie@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Explicitly set wgMultiContentRevisionSchemaMigrationStage to current default (T174044) (duration: 00m 50s)

daniel closed this task as Resolved.Feb 8 2019, 4:10 PM
daniel claimed this task.
Nirmos added a subscriber: Nirmos.Feb 8 2019, 8:52 PM
greg added a project: Multimedia.Mar 7 2019, 10:59 PM